Bug 226263 - Merge Review: perl-IO-Socket-INET6
Merge Review: perl-IO-Socket-INET6
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Package Reviews List
Depends On:
  Show dependency treegraph
Reported: 2007-01-31 15:36 EST by Nobody's working on this, feel free to take it
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-11-16 01:59:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+

Attachments (Terms of Use)

  None (edit)
Description Nobody's working on this, feel free to take it 2007-01-31 15:36:08 EST
Fedora Merge Review: perl-IO-Socket-INET6

Initial Owner: wtogami@redhat.com
Comment 1 Parag AN(पराग) 2007-10-26 06:32:53 EDT
1)perl as BR is not needed. mock build without it worked successfully.
   remove redundant dependency on perl
2)you may like to keep simple disttag as "2%{dist}" only.
3) Add Changelog as %doc
Comment 2 Parag AN(पराग) 2007-10-26 06:35:58 EDT
don't hard code version in source URL
Comment 3 Parag AN(पराग) 2007-11-13 03:53:38 EST
  Can you please update SPEC and build package?
Comment 4 Parag AN(पराग) 2007-11-16 01:59:00 EST
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
e4ef8b7944fa036cda19dc3e1cc688a6  IO-Socket-INET6-2.51.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ Package perl-IO-Socket-INET6-2.51-3.fc9 ->
  Provides: perl(IO::Socket::INET6) = 2.51
  Requires: perl(:MODULE_COMPAT_5.8.8) perl(Carp) perl(Errno) perl(Exporter)
perl(IO::Socket) perl(Socket) perl(Socket6) perl(strict)

Note You need to log in before you can comment on or make changes to this bug.